[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "cortextlib"
description = """\
  Python library to abstract and modularize methods in Cortext services, \
  notably Cortext Manager.\
  """
authors = [
  { name = "Ale Abdo", email = "abdo@member.fsf.org" },
]
license = "GPL-3.0-or-later"
readme = "README.md"
requires-python = ">=3.9"
dependencies = [
  # For cortextlib
  "PyYAML",
  "pandas",
  # For cortext_api
  "httpx",
  "attrs",
  "python-dateutil"
]
dynamic = ["version"]

[project.scripts]
cm-job-run = "cortextlib.cm_job_run:cli"

[project.urls]
Documentation = "https://gitlab.com/cortext/cortext-methods/cortextlib"
Issues = "https://gitlab.com/cortext/cortext-methods/cortextlib/-/issues"
Source = "https://gitlab.com/cortext/cortext-methods/cortextlib"

[tool.hatch.version]
path = "src/cortextlib/__init__.py"

[tool.hatch.build.targets.sdist]

[tool.hatch.build.targets.wheel]
packages = ["src/cortextlib", "src/cortext_api"]

[tool.black]
line-length = 88
